RSpec.configure do |config|
  config.around(:each, :verify => false) do |example|
    verify_partial  = RSpec::Mocks.configuration.instance_variable_get(:@verify_partial_doubles)
    verify_constant = RSpec::Mocks.configuration.instance_variable_get(:@verify_doubled_constant_names)

    RSpec::Mocks.configuration.verify_partial_doubles        = example.metadata[:verify]
    RSpec::Mocks.configuration.verify_doubled_constant_names = example.metadata[:verify]

    example.run

    RSpec::Mocks.configuration.verify_partial_doubles        = verify_partial
    RSpec::Mocks.configuration.verify_doubled_constant_names = verify_constant
  end
end
