##############################################################################
#                             Shoulda Plugin
##############################################################################

begin
  require 'shoulda-matchers'
rescue LoadError
end

if defined? Shoulda
  Shoulda::Matchers.configure do |config|
    config.integrate do |with|
      with.test_framework :rspec
    end
  end

  if defined? ActiveRecord
    Shoulda::Matchers.configure do |config|
      config.integrate do |with|
        with.library :active_record
      end
    end
  end

  if defined? ActiveModel
    Shoulda::Matchers.configure do |config|
      config.integrate do |with|
        with.library :active_model
      end
    end
  end

  if defined? ActionController
    Shoulda::Matchers.configure do |config|
      config.integrate do |with|
        with.library :action_controller
      end
    end
  end
end
